package gui.common;

import gui.EditorPanel;

import java.util.LinkedList;

import opengl.CodeRenderer;

public class PackageList extends LinkedList<PackageInfo> {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int activePackageIndex = 0;
	
	
	public PackageList(){
		
	}
	
	public PackageInfo getActivePackageInfo(){
		return get(activePackageIndex);
	}
	
	public void setActivePackageInfoIndex(int index){
		activePackageIndex = index;
		CodeRenderer.setPackage(getActivePackageInfo());
		EditorPanel.setActivePackage(getActivePackageInfo());
	}
	
	public PackageInfo getPackageInfo(int index){
		return get(index);
	}
	

}
