package logic.code;

public class CodeItemFinder {
	
	private static CodeItem nearestItem;
	private static int lineNumber;
	
	public static CodeItem getItem(CodeItem item, int actLineNumber){
		nearestItem = null;
		lineNumber = actLineNumber-1;
		checkItem(item);
		return nearestItem;
	}
	
	private static void checkItem(CodeItem item){
		
			if ((lineNumber >= item.firstLine) && (lineNumber <= item.lastLine)){

			nearestItem = item;
			
			if (item.getChildren() != null){
				for(int i = 0; i < item.getChildren().size(); i++)
					checkItem(item.getChildren().get(i));
			}
		}
			
	}
}
