package logic.code;

public class CommentItem extends CodeItem{
	
	
	public CommentItem(CodeItem parent, int lineNumber, boolean shortComment) {
		
		super(parent, lineNumber);
		mode = COMMENT;
		setMode();
		
		if (shortComment)
			currentItem = parent;
	}
	
	protected void findTerminator(String line) {
		
		if (line.contains("*/"))
			currentItem = parent;
	}
	
}
