package logic.code;

import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class SingleLineItem extends CodeItem {

	private static Pattern keywPat;
	
	static {
		keywPat = Pattern.compile("(import|package)");
		
	}
	
	public SingleLineItem(CodeItem parent, int lineNumber) {
		
		super(parent, lineNumber);
		
	}
	
	public SingleLineItem(CodeItem parent, int lineNumber, int mode) {
		
		super(parent, lineNumber);
		
	}
	
	
	protected void findTerminator(String line) {
		
		determineMode(line);
		if (line.contains(";"))
			currentItem = parent;
		
		setMode();
	}
	
	private void determineMode(String line) {
		
		Matcher matcher = keywPat.matcher(line);
		boolean posMatch = matcher.find();
		String keyw = "";
		
		if (posMatch)
			keyw = matcher.group();
		
		name = keyw;
		
		if (keyw.equals("import"))
			mode = IMPORT;
		else if(keyw.equals("package"))
			mode = PACKAGE;
		else
			mode = GL_MODE;
	}
	
	

	
	
	
}
