package gui.filters;

import java.io.File;
import java.util.regex.Pattern;

import javax.swing.filechooser.FileFilter;

public class TextFilter extends FileFilter{

	private static Pattern p;
	
	static {
		 p = Pattern.compile(".java$|.txt$|.tex$");
	}
	
	public boolean accept(File file) {
    
		if (file.isDirectory()) 
			return true;
		
		return p.matcher(file.getName()).find();
	}
    
	public String getDescription() {
		return "Text Files (*.java, *.txt, *.tex)";
	}
  

}
