package gui.filters;

import java.io.File;
import java.util.regex.Pattern;

import javax.swing.filechooser.FileFilter;

public class TransferFilter extends FileFilter{

	private static Pattern p;
	
	static {
		 p = Pattern.compile(".mft$");
	}
	
	public boolean accept(File file) {
    
		if (file.isDirectory()) 
			return true;
		
		return p.matcher(file.getName()).find();
	}
    
	public String getDescription() {
		return "Transferfunction Files (*.mft)";
	}
  

}
