package logic.code;


public class StatementItem extends CodeItem {

	public StatementItem(CodeItem parent, int lineNumber) {
		
		super(parent, lineNumber);
		
		mode = LOOP;
		setMode();
	}

	public StatementItem(CodeItem parent, int lineNumber, int mode) {
		
		super(parent, lineNumber, mode);
		
	}
	
	protected void findTerminator(String line) {
		boolean ob = line.contains("{");
		boolean cb = line.contains("}");
				
		if (brackets == -1 && ob) {
			brackets = 0;
		}
		
		if (brackets == -1 && (lastLine-firstLine) > 0 && (line.trim().length() > 0 || children.size() > 0))
			currentItem = parent;
		
		if (ob)
			brackets++;
		if (cb)
			brackets--;
		
		if (brackets == 0)
			terminateItem();
	}
}
